Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.codegen
Class StringValueCompiler

    java.lang.Object
      com.saxonica.codegen.ValueCompiler
          com.saxonica.codegen.StringValueCompiler

    public class StringValueCompiler

extends ValueCompiler

Generate Java code for a string literal

Constructor Summary
`StringValueCompiler()`

Method Summary
`java.lang.String` | `compileToCharSequence(CompilerService compiler, AtomicValue exp)` Compile Java code whose effect is to compute the string value of the expression; the generated code returns a CharSequence.
`java.lang.String` | `compileToEffectiveBooleanValue(CompilerService compiler, Value expr, ReturnAction options)`
`java.lang.String` | `toJavaExpression(AtomicValue value, CompilerService compiler)`

Methods inherited from class com.saxonica.codegen.ValueCompiler
`compilePush, compileToItem, compileToIterator, getJavaClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringValueCompiler

    public StringValueCompiler()

Method Detail

### compileToEffectiveBooleanValue

    public java.lang.String compileToEffectiveBooleanValue(CompilerService compiler,
                                                           Value expr,
                                                           ReturnAction options)

  Overrides:
    `compileToEffectiveBooleanValue` in class `ValueCompiler`

### compileToCharSequence

    public java.lang.String compileToCharSequence(CompilerService compiler,
                                                  AtomicValue exp)

  Compile Java code whose effect is to compute the string value of the expression; the generated code returns a CharSequence. This method must only be called for an expression that is known to return a value of type xs:string

  Overrides:
    `compileToCharSequence` in class `ValueCompiler`
  Parameters:
    `exp` - The expression to be compiled
  Returns:
    the name of a variable to which the resulting CharSequence is assigned, or a Java expression that can be used in a place where a variable reference of type CharSequence is allowed.

### toJavaExpression

    public java.lang.String toJavaExpression(AtomicValue value,
                                             CompilerService compiler)

  Specified by:
    `toJavaExpression` in class `ValueCompiler`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) Saxonica Limited. All rights reserved.